Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

## 4.4: Axis Length

The axes are normally 10 centimetres long. To set the axis lengths (in centimetres), use commands like ``set x size 5`' and ``set y size 7`'. Some people like the ratio of axes to be in the so-called golden ratio ``(root(5)-1)/2`'; to get that, you could do this:

    set x size 15
    set y size {rpn ..xsize.. 5 0.5 power 1 - 2 / *}

For maps, you'll want the plot scaled so that shapes retain their aspect ratio. To do this, do ``set x size .cm.`' and then do ``resize y for maps`' (or vice versa).